Name:       kdevelop-qmljs
Version: 0.0.1
Release:    2%{?dist}
License:    GPLv2
Source0:    kdevelop-qmljs-%{version}.tar.gz

Summary:    QML and JavaScript Plugin for KDevelop
URL:        http://kdevelop.org

BuildRequires:  kdevplatform-devel
BuildRequires:  kdevelop-devel 
BuildRequires:  kdevelop-pg-qt-devel

%description
QML and JavaScript language support for KDevelop Integrated Development
Environment.

%prep
%setup -qn kdevelop-qmljs-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc COPYING
%{_kde4_libdir}/kde4/kdevqmljslanguagesupport.so
%{_kde4_libdir}/libkdevqmljscompletion.so
%{_kde4_libdir}/libkdevqmljsduchain.so
%{_kde4_libdir}/libkdevqtc-qmlsupport.so
%{_kde4_datadir}/kde4/apps/propertywidgets/README
%{_kde4_datadir}/kde4/apps/propertywidgets/*.qml
%{_kde4_datadir}/kde4/services/kdevqmljssupport.desktop


%changelog
* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-2
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-1
- Initial package
